import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;

/**
 * Пример для работы с классами InputStream и OutputStream
 * */

public class Main {
    public static void main(String[] args) throws IOException {
        /*Создаем ссылку на стандартный поток ввода*/
        InputStream in = System.in;
        /*Создаем ссылку на стандартный поток вывода*/
        OutputStream out = System.out;

        /*Создаем буфер для хранения последовательности байтов*/
        byte[] buffer = new byte[1024];
        /*Пока в потоке есть что читать*/
        while (in.read(buffer) != -1) {
            /*
              Прочтем очередную порцию байтов и выведем ее на экран
            */
            out.write(buffer);
        }
        /*Заставляем данные вывести на экран из буфера*/
        out.flush();
    }
}
